Sunset of older KS versions

@ThanhTo

According to numerous posts, activation of 6.x.x versions of the studio and prior can be activated until April 30, 2020:

However, in this post:

… you appear to imply that 6.x.x versions cannot be activated whatsoever anymore as of the date of your reply (Jan 6, 2020).

Can I get some clarification on which it is?

  • Either 6.x.x and older versions cannot be activated as of the date of posting of this topic, and all of your official documentation needs to be updated (i.e. remove the April 2020 sunset date), or…
  • You have committed to the April 2020 sunset date, and need to still allow for activations until that time.

I’m fine with either answer, I’m just looking for a clarification so that I can manage expectations and make the necessary decisions.

Thank you!

1 Like

Thank you, @Brandon_Hein. I wasn’t aware of that. And if that’s true, it runs counter what’s been said elsewhere (in good faith re-quoted by me). :confused:

2 Likes

Hi @Brandon_Hein

I think you are referring to this quote:

And then this

To clarify, for current users who are already using KS 6.x on their machines, activation is still allowed (I just activated my 6.1.5 version just to test this). However, for new machines or new registered accounts, KS 6.x activation will not work. This is to ensure that future users do not continue to use a version that is no longer supported and meeting its sunset soon. All new users and new machines are better off using KS7 or KSE.

I hope that clears things up !

1 Like

Ah, okay, got it. There is a “tie” between the specific download plus the machine being “all new” to the registration system.

1 Like

Ok, thank you for the clarification.

I still believe the language of “The KS 6.x version is still available to download and activate until April 30, 2020 (6 months from now) for current users” is misleading. It makes no mention of new machines vs. known machines at all.

Thank you for your time!

I’m trying to reactivate my 6.3.3 licence with the same account that I’ve used since v4 – (the upgrade to v7 breaks some scripts - so I need to go back) – but it doesn’t let me…

Same problem for me. I was trying with KS7, tried to go back to 6.3.3, and it will not let me. I believe it was tied to the forced business email in KS7 to try features. Original 6.3.3 was my regular email address, since I am a contractor and use Katalon with various clients. I was going to purchase for my personal machine, but is no longer supported by Katalon since I use regular gmail address.

Hi All,
I am using Katalon version 6.1.5 and CI Jenkins. After April, Can I continue to run Katalon with cmd and generate the report with the API key?

Not with that version.
It will only be possible If you pay for Katalon Runtime Engine license, which is required for running Katalon via CLI. Consult what kind of KSE license fits your CI arch in Katalon.com/pricing.